=== debian/changelog ===
freedup (1.6-3) unstable; urgency=low
   
  * Initial raspberry distribution (Closes ITA: #nnnn)
    Tue Mar 04 2011 devel (AN) <AN@freedup.org>
  * Bugfixes in version 1.6-3
    + fixed compile errors for cygwin in socket.c (Feb 08 2011)
    + fixed compile error for raspberry in freedup.c (Mar 04 2014)
  * Added Manpage for SymHarden
    + includes minor corrections to FreeDup Manpage
   
 -- AN <AN@freedup.org>  Wed, 05 Mar 2014 03:20:14 +0000
   

freedup (1.6-2) unstable; urgency=low

   * Thu Feb 04 2011 devel (AN) <AN@freedup.org>
   - Bugfixes in version 1.6-2
     + replaced softlink to symharden.c
   
   * Thu Jan 11 2011 devel (AN) <AN@freedup.org>
   - Changes to version 1.6-1
     + signal handler catches CTRL-C to free duplicates discovered so far
     + added if-defines to avoid double parsing of *.h files
     + removed inline directive [due to compile errors by request of Andres Meyer]
   - Enhancement in version 1.6-1
     + added listener interface
     + added new platform makefile for Apple Mac Version 10.6.0 i386 [tested]
     + catch filesystem errors (e.g. /sys) and print warnings instead of assertions
     + added (sp)lint rule for linux
     + added symharden tool to convert softlinks into hardlinks whereever possible
   - Bugfixes in version 1.6-1
     + added missing #ifdef HASHSUM statements [notified by Linc Davis]
     + using include of <sys/stat.h> instead of <linux/stat.h> [by Linc Davis]
     + added fclose() to mp4.c and checking all fclose()/fseek() result codes
     + linted mp3.c, mp4.c mpc.c, auto.c, ogg.c, jpg.c and my.c
     + partially linted freedup.c (e.g. splint does not fail anymore)
     + moved filesize variables in "extra" functions from size_t=int to ulong
     + incorporated patch to avoid segfaults [by Charles Duppy]
   - Known Bug in 1.6-1
     + Apple Mac version does not link different ownerships (yet reason unclear)
   
   * Thu Mar 06 2008 devel (AN) <AN@freedup.org>
   - Changes to unpublished version 1.5-4
     + Corrected Copyright statements to comply with OSF (GPL) requirements
   - Enhancement in unpublished version 1.5-4
     + minor corrections to man page
   
   * Thu Mar 06 2008 devel (AN) <AN@freedup.org>
   - Changes to version 1.5-3
     + gui defaults to off, activate and deactivate using "make webon/weboff/state"
   
   * Thu Mar 06 2008 devel (AN) <AN@freedup.org>
   - Changes to version 1.5-3
     + the features provided with option -W are for testing purpose only
     + basic web interface offered (reply not accepted yet)
     + changed invisible default option for sorting criteria to '.'
   - Enhancement in version 1.5-3
     + automated installation routine for xinetd and inetd
     + deinstall script for xinetd only
     + added html pages to rpm package as well
   - Bugfixes in version 1.5-3
     + removed a leftover debug command
   
   * Sun Mar 02 2008 devel (AN) <AN@freedup.org>
   - Enhancement in version 1.5-2
     + enable freedup to restore directory time stamp after linking (option -T)
     + added usage help, man page and syntax web page for option -T
     + extended test3 in Makefile.tests to check new option -T
     + streamlined Makefile.tests using for-loops and 'test -ef'(25% reduced size)
     + Makefile.tests now needs gnu 'test' facility '[' to work correctly
   - Bugfixes in version 1.5-2
     + corrected date in copyright notice for -V
     + added '+' and '-' to -k option in online syntax help
   
   * Sat Feb 02 2008 devel (AN) <AN@freedup.org>
   - Enhancement in version 1.5-1
     + file trees are now scanned by an internal routine, find is called on demand
     + output during tree scanning changes every 1000 files (i.e. find activity)
     + updated man page to show how to use find instead of the internal routine
     + testing did not proof performance gain when using internal routine
   - Changes in version 1.5-1
     + first helper routines for web-based GUI
     + corrected and completed copyright information
   - Bugfixes in version 1.5-1
     + minor corrections to freedup man page
   
   * Mon Dec 31 2007 devel (AN) <AN@freedup.org>
   - Enhancement in version 1.4-4
     + report deleted files and the space saved (avail in interactive mode only)
     + link directions '+'/'-' allow to select source by size (extra style only)
   - Bugfixes in version 1.4-4
     + Makefile copies so that rpm cygwin executable is executable under cygwin
     + initialize all *source variables in dupinfo_entry() to avoid segfaults
     + do not offer linking when files already linked in interactive mode (w/o -H)
     + report linked files and bytes in interactive mode for extra styles
   
   * Fri Dec 28 2007 devel (AN) <AN@freedup.org>
   - Enhancement in version 1.4-3
     + one common routine to open config file (simplifies later extensions)
     + added routine to print existing environments in help (for a test period)
   - Bugfixes in version 1.4-3
     + use character instead of ascii code for '-k' in config file
     + finally fixed missing initialisation to avoid failing (n+m) assertion
     + if mp4 module is applied on mp3 files no more infinite loops should occur
   
   * Mon Dec 24 2007 devel (AN) <AN@freedup.org>
   - Enhancement in version 1.4-2
     + there are no more restrictions on the number of identical files
     + added '-H' for the same use as in fdupes: show hardlinked files too
     + added man page description for '-k' and '-H'
   - Bugfixes in version 1.4-2
     + improved test routine for MP3 and JPG Mix
     + added new line before printing statistics
     + stop printing interactive selection list, when there are no more letters
   
   * Sat Dec 21 2007 devel (AN) <AN@freedup.org>
   - Enhancement in version 1.4-1
     + '-k' option changed and recognized key pattern (same key as interactive)
     + '-ni' now reports reliable predictions on linked files and bytes
     + '-n' is reported (and indicated) to report to much for multiple links.

